import { Repository } from "tiny-commit-walker";
import { BaseEventBody } from "reg-gh-app-interface";
import { NotifierPlugin, NotifyParams, PluginCreateOptions, PluginLogger } from "reg-suit-interface";
declare type PrCommentBehavior = "default" | "once" | "new";
export interface GitHubPluginOption {
    clientId?: string;
    installationId?: string;
    owner?: string;
    repository?: string;
    prComment?: boolean;
    prCommentBehavior?: PrCommentBehavior;
    setCommitStatus?: boolean;
    customEndpoint?: string;
    shortDescription?: boolean;
}
export declare class GitHubNotifierPlugin implements NotifierPlugin<GitHubPluginOption> {
    _logger: PluginLogger;
    _noEmit: boolean;
    _apiOpt: BaseEventBody;
    _prComment: boolean;
    _setCommitStatus: boolean;
    _behavior: PrCommentBehavior;
    _shortDescription: boolean;
    _apiPrefix: string;
    _repo: Repository;
    _decodeClientId(clientId: string): {
        repository: string;
        installationId: string;
        owner: string;
    };
    init(config: PluginCreateOptions<GitHubPluginOption>): void;
    notify(params: NotifyParams): Promise<any>;
}
export {};
